Page MenuHomePhabricator

user_age is not available anymore for upload actions
Closed, ResolvedPublic

Description

As you can see on
https://pt.wikipedia.org/wiki/Special:AbuseLog/2018778?uselang=en
https://pt.wikipedia.org/wiki/Special:AbuseFilter/examine/55672001?uselang=en
the variable user_age is missing for some upload actions, making filters such as
https://pt.wikipedia.org/wiki/Special:AbuseFilter/history/92/item/1458?uselang=en
to misbehave, being unreliable to enforce our upload policy (which requires 500 edits and 30 days since registration before a user is allowed to upload files).

Event Timeline

He7d3r created this task.Mar 10 2015, 9:27 AM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added projects: Regression, AbuseFilter.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 9:27 AM
He7d3r updated the task description. (Show Details)Mar 10 2015, 9:30 AM
He7d3r set Security to None.
He7d3r updated the task description. (Show Details)Mar 10 2015, 9:43 AM
Pppery added a subscriber: Pppery.Mar 1 2017, 10:25 PM
Pppery removed a subscriber: Pppery.
He7d3r added a comment.Mar 4 2018, 4:20 PM

It is still missing in the first example: https://pt.wikipedia.org/wiki/Special:AbuseLog/2018778?uselang=en
(so it is at least unreliable)

Daimona closed this task as Resolved.Dec 17 2019, 1:26 PM
Daimona claimed this task.
Daimona added a subscriber: Daimona.

Calling resolved, since it seems to be working now. There's nothing we can do for old entries.